ข้ามไปยังเนื้อหา

DeepSeek Janus-Pro

ผสานการทำงาน

ID โมเดล janus
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/janus?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.028 28 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API

เครื่องมือสร้างภาพจากข้อความแบบออโตรีเกรสซีฟที่ส่งคืนภาพได้สูงสุด 16 ภาพต่อการเรียกใช้ พร้อมการควบคุมค่า temperature และน้ำหนัก CFG

DeepSeek · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่กำกับการสร้างรูปภาพ

image_size ค่าเริ่มต้น square

ขนาดของรูปภาพที่สร้างขึ้น

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่สร้างพร้อมกัน

ขั้นสูง output_format · temperature · cfg_weight · seed · enable_safety_checker
output_format ค่าเริ่มต้น png

รูปแบบไฟล์ของรูปภาพผลลัพธ์

ค่าเริ่มต้น 1

ระดับความสุ่มระหว่างการสร้าง การเพิ่มค่าจะทำให้ได้เอาต์พุตที่สุ่มมากขึ้น

ค่าเริ่มต้น 5

สเกล Classifier Free Guidance ที่ควบคุมว่าการสร้างจะทำตามพรอมต์ได้ใกล้เคียงเพียงใด

seed แบบสุ่มที่ทำให้การสร้างสามารถทำซ้ำได้

POST /run/janus?wait=20 ใบเสนอราคา → $0.028
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/janus?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ DeepSeek Janus-Pro

สร้างภาพจากข้อความ `prompt` โดยใช้โมเดลที่รองรับทั้งความเข้าใจและการสร้างภาพ เลือกค่าที่ตั้งไว้ล่วงหน้าของ `image_size` ได้ 6 แบบ เช่น square_hd หรือ landscape_16_9 และขอภาพพร้อมกันได้ 1 ถึง 16 ภาพ `temperature` (0.1 ถึง 2) กำหนดความสุ่ม และ `cfg_weight` (1 ถึง 20) กำหนดการยึดตามพรอมต์ เอาต์พุตเป็น png หรือ jpeg และ `seed` ช่วยให้สร้างผลลัพธ์ซ้ำได้

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
พรอมต์ที่กำกับการสร้างรูปภาพ
image_sizeไม่บังคับ
ประเภทobject
ค่าเริ่มต้นsquare
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ขนาดของรูปภาพที่สร้างขึ้น
temperatureไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น1
0.1 – 2
ระดับความสุ่มระหว่างการสร้าง การเพิ่มค่าจะทำให้ได้เอาต์พุตที่สุ่มมากขึ้น
cfg_weightไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น5
1 – 20
สเกล Classifier Free Guidance ที่ควบคุมว่าการสร้างจะทำตามพรอมต์ได้ใกล้เคียงเพียงใด
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 16
จำนวนรูปภาพที่สร้างพร้อมกัน
seedไม่บังคับ
ประเภทinteger | null
seed แบบสุ่มที่ทำให้การสร้างสามารถทำซ้ำได้
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
การตรวจสอบความปลอดภัย ซึ่งจะแทนที่รูปภาพที่ถูกทำเครื่องหมายว่าไม่ปลอดภัยด้วยรูปภาพสีดำ ค่า true จะเปิดใช้การตรวจสอบ ส่วน false จะปิดใช้เฉพาะสำหรับบัญชีที่ได้รับอนุญาต ขณะที่คำขอที่ไม่มีการอนุญาตจะได้รับการตรวจสอบเสมอ
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นpng
jpegpng
รูปแบบไฟล์ของรูปภาพผลลัพธ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "janus",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 28,
    "usd": "0.028",
    "charged": 28,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, width, height, content_type}ข้อมูลไฟล์สำหรับรูปภาพที่สร้าง
timings
object
seed
integerseed สำหรับการสร้างรูปภาพ รวมถึงค่าที่สุ่มเลือกหากอินพุตไม่ได้ระบุ seed มิฉะนั้นจะใช้ค่าที่ระบุซ้ำ
has_nsfw_concepts
array of booleanระบุว่ามีแนวคิด NSFW ปรากฏในรูปภาพที่สร้างหรือไม่
prompt
stringพรอมต์ที่ใช้ระหว่างการสร้างรูปภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/janus.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt